Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.transport.http
Class AbstractGenericTransportListener

    java.lang.Object
      org.wso2.wsas.transport.http.AbstractGenericTransportListener

All Implemented Interfaces:
  org.apache.axis2.transport.TransportListener

Direct Known Subclasses:
  GenericHttpsTransportListener, GenericHttpTransportListener

    public abstract class AbstractGenericTransportListener

extends java.lang.Object
implements org.apache.axis2.transport.TransportListener

This is the abstract transport listener that should be used in writing generic listeners.

Field Summary
`protected org.apache.axis2.context.ConfigurationContext` | `configurationContext`
`protected int` | `proxyPort`

Fields inherited from interface org.apache.axis2.transport.TransportListener
`HOST_ADDRESS, PARAM_PORT`

Constructor Summary
`AbstractGenericTransportListener()`
`AbstractGenericTransportListener(org.apache.axis2.context.ConfigurationContext configurationContext)`

Method Summary
`void` | `destroy()`
`protected org.apache.axis2.addressing.EndpointReference` | `genEpr(java.lang.String protocol, java.lang.String ip, int port, java.lang.String serviceContextPath, java.lang.String serviceName)`
`org.apache.axis2.context.SessionContext` | `getSessionContext(org.apache.axis2.context.MessageContext messageContext)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis2.transport.TransportListener
`getEPRForService, getEPRsForService, init, start`

Field Detail

### proxyPort

    protected int proxyPort

### configurationContext

    protected org.apache.axis2.context.ConfigurationContext configurationContext

Constructor Detail

### AbstractGenericTransportListener

    public AbstractGenericTransportListener()

### AbstractGenericTransportListener

    public AbstractGenericTransportListener(org.apache.axis2.context.ConfigurationContext configurationContext)

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.apache.axis2.transport.TransportListener`

### getSessionContext

    public org.apache.axis2.context.SessionContext getSessionContext(org.apache.axis2.context.MessageContext messageContext)

  Specified by:
    `getSessionContext` in interface `org.apache.axis2.transport.TransportListener`

### stop

    public void stop()
              throws org.apache.axis2.AxisFault

  Specified by:
    `stop` in interface `org.apache.axis2.transport.TransportListener`
  Throws:
    `org.apache.axis2.AxisFault`

### genEpr

    protected org.apache.axis2.addressing.EndpointReference genEpr(java.lang.String protocol,
                                                                   java.lang.String ip,
                                                                   int port,
                                                                   java.lang.String serviceContextPath,
                                                                   java.lang.String serviceName)
                                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD